/**
 * 
 * Тема : Сетки.
 * 
 *
 * 
 */

body {
    min-width: 360px;
}


/**
 * Сетка : Контейнеры.
 * -----------------------------------------------------------------------------
 */

.container {
    width: 100%;

    padding-right: 15px;
    padding-left: 15px;

    margin-right: auto;
    margin-left: auto;
}

@media (min-width: 576px) {
    .container {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
}

/**
 * Сетка : Колонки (Flexbox).
 * -----------------------------------------------------------------------------
 */

.row {
    display: -ms-flexbox;
    display: flex;

    -ms-flex-wrap: wrap;
    flex-wrap: wrap;

    margin-right: -7px;
    margin-left: -7px;
}

.col {
    position: relative;

    width: 100%;
    max-width: 100%;

    -ms-flex-preferred-size: 0;
    flex-basis: 0;
    -ms-flex-positive: 1;
    flex-grow: 1;

    padding-right: 7px;
    padding-left: 7px;
}


/**
 * Сетка : Флексы (Flexbox).
 * -----------------------------------------------------------------------------
 */

/*

.d-flex {
    display: -ms-flexbox;
    display: flex;
}

.flex-nowrap {
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
}

.flex-column {
    -ms-flex-direction: column;
    flex-direction: column;
}

.flex-grow-1 {
    -ms-flex-positive: 1;
    flex-grow: 1;
}


*/

/**
 * Clearfix (bootstrap 4).
 * -----------------------------------------------------------------------------
 */

.clearfix::after {
    display: block;
    clear: both;
    content: "";
}



/**
 * Кусочки ...
 * -----------------------------------------------------------------------------
 */

.anchor {
    display: block;
    height: 1px;
    transform: translateY(-10px);
}

.image-box {
    margin: 0 auto;
}

.image {
    width: 100%;
    height: 0;
    padding-bottom: 100%;
    
    background-position: center top;
    background-repeat: no-repeat;
    background-size: 100% auto;
}

/*
.hyp {
    word-break: break-all;
    hyphens: auto;
}
*/

/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */

.fancybox__footer {
    display: none !important;
}

.slides-gallery {
    /*
    margin: 0 -15px;
    */
    margin: 0;
    padding: 0 15px;
}

.slides-gallery .slide {
    padding: 0 15px;
}

.slides-gallery img {
    max-width: 100%; 
    height: auto;
}
 

.slides-gallery .slick-arrow {
    z-index: 10;
    width: 25px;
    height: 50px;
    
    background-color: rgba(0,0,0,.05);
    background-color: transparent;
    
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 12px auto;
}

.slides-gallery .slick-arrow::before {
    content: "";
}

.slides-gallery .slick-prev {
    left: -15px;
    background-image: url(/_images/icon-arr-left.svg);
}

.slides-gallery .slick-next {
    right: -15px;
    background-image: url(/_images/icon-arr-right.svg);
}

@media (min-width: 576px) {
    .slides-gallery .slick-prev {
        left: -15px;
    }

    .slides-gallery .slick-next {
        right: -15px;
    }
}

/*

body .f-carousel {
    --f-carousel-dot-color: var(--color-beige);
}

@media (min-width: 420px) {
    body .f-carousel {
        --f-button-next-pos: -35px;
        --f-button-prev-pos: -35px;
    } 
}

*/


/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */

.collapse-control {
    cursor: pointer;
}

/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */


html {
    font-size: 16px;
}

body {
    
    --color-prim: #522230;
    --color-grey: #f2f1f0;
    --color-beige: #e6ded6;
    --color-beige-dark: #dbd0c7;
    --color-black: #222;
    --color-text: #111;
    
    --font-w-bold: 500;
    
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    
    line-height: 1.3;
    
    background-color: #fff;
    color: var(--color-text);
}

#site-wrapper {

}

/*
 * -----------------------------------------------------------------------------
 *
 * Кнопка меню + Наверх. 
 *
 * -----------------------------------------------------------------------------
 */

#menu {
    display: none;
    
    position: fixed; z-index: 200;
    top: 15px; right: 15px;
    
    opacity: 0;
    
    transition: all .3s ease;
}

.scrolled #menu {
    display: block;
    opacity: 1;
}

#uper {
    display: none;
    
    position: fixed; z-index: 200;
    bottom: 15px; right: 15px;
    
    width: 32px;
    height: 32px;
    
    
    background-image: url(/_images/icon-arr-top-bold.svg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 24px auto;
    background-color: rgba(255,255,255,.2);
    
    border-radius: 5px;
    cursor: pointer;
    
    opacity: 0;
    
    transition: all .3s ease;
}

.scrolled #uper {
    display: block;
    opacity: 1;
}

/*
 * -----------------------------------------------------------------------------
 *
 * Алерт "Disablesd". 
 *
 * -----------------------------------------------------------------------------
 */

#alert {
    position: fixed; z-index: 2000;
    right: 15px; bottom: 15px;
    
    display: -ms-flexbox;
    display: flex;

    -ms-flex-direction: row;
    flex-direction: row;

    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;

    -ms-flex-pack: justify;
    justify-content: space-between;

    -ms-flex-align: center;
    align-items: center;
    
    padding: 15px 25px;
    
    font-size: 14px;
    
    border-radius: 15px;
    background-color: #333;
    color: #fff;
    
    cursor: pointer;
    
    opacity: 1;
    transition: all .3s ease;
}

#alert.hidden {
    bottom: -50px;
    opacity: 0;
}

#alert .close {
    margin-left: 15px;
    font-size: 18px;
}

/*
 * -----------------------------------------------------------------------------
 *
 * Меню : 
 *
 * -----------------------------------------------------------------------------
 */

.menu .nav-link {
    text-decoration: none;
    text-transform: uppercase;
    
    white-space: nowrap;
    
    color: inherit;
}

/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */


.post-navigation {
    display: -ms-flexbox;
    display: flex;

    -ms-flex-direction: row;
    flex-direction: row;

    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;

    -ms-flex-pack: justify;
    justify-content: space-between;
        
    margin-top: 3rem;
}

.post-navigation .btn.disabled  {
    pointer-events: none;
    cursor: default;
    
    background-color: transparent !important;
    border-color: var(--color-text) !important;
    color: var(--color-text) !important;
    
    opacity: .2 !important;
}

.post-navigation .btn {
    min-width: 46px;
    min-height: 46px;
    
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 12px auto;
}

.post-navigation .btn.prev {
    background-image: url(/_images/icon-arr-left.svg);
}

.post-navigation .btn.next {
    background-image: url(/_images/icon-arr-right.svg);
}

.post-navigation .btn span {
    display: none;
}

@media (min-width: 576px) {
    .post-navigation .btn {
        min-width: 220px;
    }
    
    .post-navigation .btn.prev,
    .post-navigation .btn.next {
        background-image: none;
    }
    
    .post-navigation .btn span {
        display: inline;
    }
}

@media (min-width: 768px) {
    .post-navigation .btn {
        min-width: 260px;
    }
}

/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */

.no-box {
    padding: 3rem 0;
    
    text-align: center;
    color: #a0a0a0;
}



/*
 * -----------------------------------------------------------------------------
 *
 * SITE : Прелоадер.
 *
 * -----------------------------------------------------------------------------
 */


.preloader {
    background-image: url(/_images/preloader-dots.svg);
    background-position: center center;
    background-repeat: no-repeat;
}


#site-preloader {
    display: none;
    
    position: fixed; z-index: 1500;
    top: 0; left: 0; right: 0;
    height: 100vh;
    
    background-color: rgba(255,255,255,.95);
    background-size: 48px auto;
}

#site-preloader::before {
    content: "Обработка запроса";
    
    position: absolute;
    left: 0; right: 0;
    top: 50%;
    
    text-align: center;
    font-size: 14px;
    
    color: #8c7059;
    
    transform: translateY(-40px);
}


/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */

@keyframes shine {
    0% {
        left: -200px;
    }
    35% {
        left: -200px;
    }
    40% {
        left: 100%;
    }
    100% {
        left: 100%;
    }
}


/*
 * -----------------------------------------------------------------------------
 *
 * Cookies.
 *
 * -----------------------------------------------------------------------------
 */

.lwpcngNotice {
    z-index: 9000 !important;
    padding: 20px !important;
}

.lwpcngNotice_message {
    font-family: "Montserrat", sans-serif !important;
    font-optical-sizing: auto !important;
    font-weight: 400 !important;
    font-style: normal !important;
    
    line-height: 1.3 !important;
}

.lwpcngNotice_message a {
    color: var(--color-prim) !important;
}

.lwpcngNotice_buttons {
    display: block !important;
    margin-top: 20px;
    
    text-align: center;
}

.lwpcngNotice_buttons .lwpcngNotice_accept {
    display: inline-block !important;
    min-width: 100px !important;
    max-width: 180px !important;
    
    background-color: var(--color-prim) !important;
    border-color: var(--color-prim) !important;
    color: #fff !important;
}

/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */


@media (min-width: 576px) {
    
}
@media (min-width: 768px) {
    
}
@media (min-width: 992px) {
    
}
@media (min-width: 1200px) {
    
}

